using UnrealBuildTool;

public class AR51SDK_LIVELINK : ModuleRules
{
	public AR51SDK_LIVELINK(ReadOnlyTargetRules Target) : base(Target)
	{
        if (Target.Version.MajorVersion == 5)
        {
            PublicDefinitions.Add("UE_5_0_OR_LATER=1");
            if (Target.Version.MinorVersion >= 2)
                PublicDefinitions.Add("UE_5_2_OR_LATER=1");
            if (Target.Version.MinorVersion >= 3)
                PublicDefinitions.Add("UE_5_3_OR_LATER=1");
        }
			
        bUsePrecompiled = true;

        PrecompileForTargets = PrecompileTargetsType.Any;

        PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;
		
		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
				"CoreUObject",
				"Engine",
				"InputCore",
				"Projects",
				"Networking",
				"Sockets",
	            "ProceduralMeshComponent",
				"LiveLinkInterface",
                "LiveLink",
		        "AR51SDK",
			});
			
		
		PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Engine",
				"Slate",
				"SlateCore",
			});		
	}
}
